Bug 1349265 - [abrt] gnome-shell: xkb_keymap_ref(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: xkb_keymap_ref(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c50731d04df538049ea732054a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-23 06:07 UTC by Yonatan
Modified: 2017-08-08 14:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:58:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (120.38 KB, text/plain)
2016-06-23 06:07 UTC, Yonatan
no flags Details
File: cgroup (229 bytes, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: core_backtrace (21.82 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: dso_list (23.69 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: environ (910 bytes, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: exploitable (110 bytes, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: limits (1.29 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: maps (61.69 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: mountinfo (3.84 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: namespaces (102 bytes, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: open_fds (110.90 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: proc_pid_status (995 bytes, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details
File: var_log_messages (20.30 KB, text/plain)
2016-06-23 06:08 UTC, Yonatan
no flags Details

Description Yonatan 2016-06-23 06:07:37 UTC
Version-Release number of selected component:
gnome-shell-3.20.2-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: xkb_keymap_ref
executable:     /usr/bin/gnome-shell
global_pid:     11843
kernel:         4.5.7-300.fc24.i686+PAE
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xkb_keymap_ref at src/keymap.c:59
 #1 clutter_evdev_set_keyboard_map at evdev/clutter-device-manager-evdev.c:2363
 #2 meta_backend_native_set_keymap at backends/native/meta-backend-native.c:316
 #3 ffi_call_SYSV at ../src/x86/sysv.S:65
 #4 ffi_call at ../src/x86/ffi.c:382
 #5 gjs_invoke_c_function at gi/function.cpp:999
 #6 function_call at gi/function.cpp:1322
 #7 js::CallJSNative at /usr/src/debug/mozjs-24.2.0/js/src/jscntxtinlines.h:321
 #8 js::Invoke at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:481
 #9 Interpret at /usr/src/debug/mozjs-24.2.0/js/src/vm/Interpreter.cpp:2298

Comment 1 Yonatan 2016-06-23 06:07:58 UTC
Created attachment 1171257 [details]
File: backtrace

Comment 2 Yonatan 2016-06-23 06:08:00 UTC
Created attachment 1171258 [details]
File: cgroup

Comment 3 Yonatan 2016-06-23 06:08:06 UTC
Created attachment 1171259 [details]
File: core_backtrace

Comment 4 Yonatan 2016-06-23 06:08:11 UTC
Created attachment 1171260 [details]
File: dso_list

Comment 5 Yonatan 2016-06-23 06:08:13 UTC
Created attachment 1171261 [details]
File: environ

Comment 6 Yonatan 2016-06-23 06:08:16 UTC
Created attachment 1171262 [details]
File: exploitable

Comment 7 Yonatan 2016-06-23 06:08:18 UTC
Created attachment 1171263 [details]
File: limits

Comment 8 Yonatan 2016-06-23 06:08:26 UTC
Created attachment 1171264 [details]
File: maps

Comment 9 Yonatan 2016-06-23 06:08:29 UTC
Created attachment 1171265 [details]
File: mountinfo

Comment 10 Yonatan 2016-06-23 06:08:31 UTC
Created attachment 1171266 [details]
File: namespaces

Comment 11 Yonatan 2016-06-23 06:08:51 UTC
Created attachment 1171267 [details]
File: open_fds

Comment 12 Yonatan 2016-06-23 06:08:53 UTC
Created attachment 1171268 [details]
File: proc_pid_status

Comment 13 Yonatan 2016-06-23 06:08:58 UTC
Created attachment 1171269 [details]
File: var_log_messages

Comment 14 Christian Stadelmann 2016-12-03 19:15:21 UTC
Also present in F25 as bug #1398142.

Comment 15 Fedora End Of Life 2017-07-25 21:13:46 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 14:58:45 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.